# HG changeset patch
# Node ID 193e3e15c324
# Parent  4946be291bc3
diff --git a/pidgin/gtkaccount.c b/pidgin/gtkaccount.c
--- a/pidgin/gtkaccount.c
+++ b/pidgin/gtkaccount.c
@@ -105,13 +105,13 @@
 	/* Login Options */
 	GtkWidget *login_frame;
 	GtkWidget *protocol_menu;
-	GtkWidget *password_box;
+	//GtkWidget *password_box; /*No longer required*/
 	gchar *password;
 	GtkWidget *username_entry;
 	GdkRGBA username_entry_hint_color;
-	GtkWidget *password_entry;
+	//GtkWidget *password_entry;
 	GtkWidget *alias_entry;
-	GtkWidget *remember_pass_check;
+	//GtkWidget *remember_pass_check;
 
 	/* User Options */
 	GtkWidget *user_frame;
@@ -306,12 +306,12 @@
 
 	if (register_noscreenname) {
 		gtk_entry_set_text(GTK_ENTRY(dialog->username_entry), "");
-		gtk_entry_set_text(GTK_ENTRY(dialog->password_entry), "");
-		gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(dialog->remember_pass_check), FALSE);
+		//gtk_entry_set_text(GTK_ENTRY(dialog->password_entry), "");
+		//gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(dialog->remember_pass_check), FALSE);
 	}
 	gtk_widget_set_sensitive(dialog->username_entry, !register_noscreenname);
-	gtk_widget_set_sensitive(dialog->password_entry, !register_noscreenname);
-	gtk_widget_set_sensitive(dialog->remember_pass_check, !register_noscreenname);
+	// gtk_widget_set_sensitive(dialog->password_entry, !register_noscreenname);
+	// gtk_widget_set_sensitive(dialog->remember_pass_check, !register_noscreenname);
 
 	if (dialog->ok_button) {
 		gtk_widget_set_sensitive(dialog->ok_button,
@@ -584,41 +584,41 @@
 
 	g_free(username);
 
-
-	/* Password */
-	dialog->password_entry = gtk_entry_new();
-	gtk_entry_set_visibility(GTK_ENTRY(dialog->password_entry), FALSE);
-	dialog->password_box = add_pref_box(dialog, vbox, _("_Password:"),
-										  dialog->password_entry);
-
-	/* Remember Password */
-	dialog->remember_pass_check =
-		gtk_check_button_new_with_mnemonic(_("Remember pass_word"));
-	gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(dialog->remember_pass_check),
-								 FALSE);
-	gtk_box_pack_start(GTK_BOX(vbox), dialog->remember_pass_check,
-					   FALSE, FALSE, 0);
-	gtk_widget_show(dialog->remember_pass_check);
-
-	/* Set the fields. */
-	if (dialog->account != NULL) {
-		if (dialog->password && purple_account_get_remember_password(
-			dialog->account)) {
-			gtk_entry_set_text(GTK_ENTRY(dialog->password_entry),
-				dialog->password);
-		}
-
-		gtk_toggle_button_set_active(
-				GTK_TOGGLE_BUTTON(dialog->remember_pass_check),
-				purple_account_get_remember_password(dialog->account));
-	}
-
-	if (dialog->protocol != NULL &&
-		(purple_protocol_get_options(dialog->protocol) & OPT_PROTO_NO_PASSWORD)) {
-
-		gtk_widget_hide(dialog->password_box);
-		gtk_widget_hide(dialog->remember_pass_check);
-	}
+	/* No longer used due to availability of "PurpleCredentialManager" */
+		/* Password */
+		// dialog->password_entry = gtk_entry_new();
+		// gtk_entry_set_visibility(GTK_ENTRY(dialog->password_entry), FALSE);
+		// dialog->password_box = add_pref_box(dialog, vbox, _("_Password:"),
+		// 									  dialog->password_entry);
+
+		/* Remember Password */
+		// dialog->remember_pass_check =
+		// 	gtk_check_button_new_with_mnemonic(_("Remember pass_word"));
+		// gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(dialog->remember_pass_check),
+		// 							 FALSE);
+		// gtk_box_pack_start(GTK_BOX(vbox), dialog->remember_pass_check,
+		// 				   FALSE, FALSE, 0);
+		// gtk_widget_show(dialog->remember_pass_check);
+
+		/* Set the fields. */
+		// if (dialog->account != NULL) {
+		// 	if (dialog->password && purple_account_get_remember_password(
+		// 		dialog->account)) {
+		// 		gtk_entry_set_text(GTK_ENTRY(dialog->password_entry),
+		// 			dialog->password);
+		// 	}
+	
+		// 	gtk_toggle_button_set_active(
+		// 			GTK_TOGGLE_BUTTON(dialog->remember_pass_check),
+		// 			purple_account_get_remember_password(dialog->account));
+		// }
+	
+		// if (dialog->protocol != NULL &&
+		// 	(purple_protocol_get_options(dialog->protocol) & OPT_PROTO_NO_PASSWORD)) {
+		
+		// 	gtk_widget_hide(dialog->password_box);
+		// 	gtk_widget_hide(dialog->remember_pass_check);
+		// }
 
 	/* Do not let the user change the protocol/username while connected. */
 	update_editable(NULL, dialog);
@@ -1413,17 +1413,17 @@
 
 
 	/* Remember Password */
-	remember = gtk_toggle_button_get_active(
-		GTK_TOGGLE_BUTTON(dialog->remember_pass_check));
-	if(!remember) {
-		purple_credential_manager_clear_password_async(manager, account, NULL,
-		                                               NULL, NULL);
-	}
-
-	purple_account_set_remember_password(account, remember);
-
-	/* Password */
-	value = gtk_entry_get_text(GTK_ENTRY(dialog->password_entry));
+		// remember = gtk_toggle_button_get_active(
+		// 	GTK_TOGGLE_BUTTON(dialog->remember_pass_check));
+		// if(!remember) {
+		// 	purple_credential_manager_clear_password_async(manager, account, NULL,
+		// 	                                               NULL, NULL);
+		// }
+
+		// purple_account_set_remember_password(account, remember);
+
+		// /* Password */
+		// value = gtk_entry_get_text(GTK_ENTRY(dialog->password_entry));
 
 	/*
 	 * We set the password if this is a new account because new accounts
